---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp06t003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2E40, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x55180, symBinAddr: 0xCA20, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x570C0, symBinAddr: 0xE960, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x574B0, symBinAddr: 0xED50, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x58450, symBinAddr: 0xFCF0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x58460, symBinAddr: 0xFD00, symSize: 0x0 }
  - { offsetInCU: 0xBBA, offset: 0xBBA, size: 0x8, addend: 0x0, symName: _testedThreadReady, symObjAddr: 0x6FB60, symBinAddr: 0x27400, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: _testedThreadShouldFinish, symObjAddr: 0x6FB64, symBinAddr: 0x27404, symSize: 0x0 }
  - { offsetInCU: 0xBEA, offset: 0xBEA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54DF0, symBinAddr: 0xC8E0, symSize: 0x0 }
  - { offsetInCU: 0xBF5, offset: 0xBF5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54DF4, symBinAddr: 0xC8E4, symSize: 0x0 }
  - { offsetInCU: 0xC00, offset: 0xC00, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54DF8, symBinAddr: 0xC8E8, symSize: 0x0 }
  - { offsetInCU: 0xC45, offset: 0xC45, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54F50, symBinAddr: 0xC8F0, symSize: 0x0 }
  - { offsetInCU: 0xCBE, offset: 0xCBE, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55008, symBinAddr: 0xC9A8, symSize: 0x0 }
  - { offsetInCU: 0xCD7, offset: 0xCD7, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5500C, symBinAddr: 0xC9AC, symSize: 0x0 }
  - { offsetInCU: 0xCF0, offset: 0xCF0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x55010, symBinAddr: 0xC9B0, symSize: 0x0 }
  - { offsetInCU: 0xD09, offset: 0xD09, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x55014, symBinAddr: 0xC9B4, symSize: 0x0 }
  - { offsetInCU: 0xD22, offset: 0xD22, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x55018, symBinAddr: 0xC9B8, symSize: 0x0 }
  - { offsetInCU: 0x9311, offset: 0x9311, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x55020, symBinAddr: 0xC9C0, symSize: 0x0 }
  - { offsetInCU: 0x939A, offset: 0x939A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x55030, symBinAddr: 0xC9D0, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x55038, symBinAddr: 0xC9D8, symSize: 0x0 }
  - { offsetInCU: 0x93CC, offset: 0x93CC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x55040, symBinAddr: 0xC9E0, symSize: 0x0 }
  - { offsetInCU: 0x93E5, offset: 0x93E5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x55048, symBinAddr: 0xC9E8, symSize: 0x0 }
  - { offsetInCU: 0x93FE, offset: 0x93FE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x55050, symBinAddr: 0xC9F0, symSize: 0x0 }
  - { offsetInCU: 0x9418, offset: 0x9418, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x55058, symBinAddr: 0xC9F8, symSize: 0x0 }
  - { offsetInCU: 0x94FE, offset: 0x94FE, size: 0x8, addend: 0x0, symName: __ZL11threadsDesc, symObjAddr: 0xF9F0, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0x95A6, offset: 0x95A6, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x550A0, symBinAddr: 0xCA00, symSize: 0x0 }
  - { offsetInCU: 0x95BF, offset: 0x95BF, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x550A8, symBinAddr: 0xCA08, symSize: 0x0 }
  - { offsetInCU: 0x95D8, offset: 0x95D8, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x550E8, symBinAddr: 0xCA18, symSize: 0x0 }
  - { offsetInCU: 0x95F1, offset: 0x95F1, size: 0x8, addend: 0x0, symName: __ZL10eventsList, symObjAddr: 0x10200, symBinAddr: 0xC8D0, symSize: 0x0 }
  - { offsetInCU: 0x9679, offset: 0x9679, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1AE0, symSize: 0x80 }
  - { offsetInCU: 0x970E, offset: 0x970E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1A30, symSize: 0xB0 }
  - { offsetInCU: 0x9769, offset: 0x9769, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1930, symSize: 0x100 }
  - { offsetInCU: 0x99FC, offset: 0x99FC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1B60, symSize: 0xC0 }
  - { offsetInCU: 0x9A4E, offset: 0x9A4E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1C20, symSize: 0x220 }
  - { offsetInCU: 0x9C33, offset: 0x9C33, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1E40, symSize: 0xA0 }
  - { offsetInCU: 0x9CE6, offset: 0x9CE6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1EE0, symSize: 0x110 }
  - { offsetInCU: 0x9DDC, offset: 0x9DDC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1FF0, symSize: 0x150 }
  - { offsetInCU: 0x9F39, offset: 0x9F39, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2140, symSize: 0x30 }
  - { offsetInCU: 0xA072, offset: 0xA072, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2170, symSize: 0x150 }
  - { offsetInCU: 0xA26A, offset: 0xA26A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x22C0, symSize: 0x160 }
  - { offsetInCU: 0xA52A, offset: 0xA52A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2420, symSize: 0x4A0 }
  - { offsetInCU: 0xA79D, offset: 0xA79D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x28C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA9B8, offset: 0xA9B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2A70, symSize: 0xA0 }
  - { offsetInCU: 0xAA87, offset: 0xAA87, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2B10, symSize: 0x20 }
  - { offsetInCU: 0xAABE, offset: 0xAABE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2B30, symSize: 0x20 }
  - { offsetInCU: 0xAAF5, offset: 0xAAF5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2B50, symSize: 0x20 }
  - { offsetInCU: 0xACE8, offset: 0xACE8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2B70, symSize: 0x1A0 }
  - { offsetInCU: 0xB004, offset: 0xB004, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2D10, symSize: 0x130 }
  - { offsetInCU: 0xB1B4, offset: 0xB1B4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x30B0, symSize: 0x1B0 }
  - { offsetInCU: 0xB4A3, offset: 0xB4A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3260, symSize: 0x80 }
  - { offsetInCU: 0xB56C, offset: 0xB56C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x32E0, symSize: 0x6A0 }
  - { offsetInCU: 0xC101, offset: 0xC101, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAFF0, symBinAddr: 0x5540, symSize: 0xB0 }
  - { offsetInCU: 0xC178, offset: 0xC178, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3980, symSize: 0x70 }
  - { offsetInCU: 0xC234, offset: 0xC234, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x5120, symBinAddr: 0x39F0, symSize: 0xE0 }
  - { offsetInCU: 0xC32E, offset: 0xC32E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3AD0, symSize: 0xA0 }
  - { offsetInCU: 0xC439, offset: 0xC439, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3B70, symSize: 0x40 }
  - { offsetInCU: 0xC52F, offset: 0xC52F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3BB0, symSize: 0x2B0 }
  - { offsetInCU: 0xC8D5, offset: 0xC8D5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3E60, symSize: 0xC0 }
  - { offsetInCU: 0xCA1B, offset: 0xCA1B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3F20, symSize: 0x10 }
  - { offsetInCU: 0xCADD, offset: 0xCADD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3F30, symSize: 0x220 }
  - { offsetInCU: 0xCDDA, offset: 0xCDDA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4150, symSize: 0x10 }
  - { offsetInCU: 0xCE37, offset: 0xCE37, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4160, symSize: 0x2A0 }
  - { offsetInCU: 0xD14B, offset: 0xD14B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EB0, symBinAddr: 0x4400, symSize: 0x10 }
  - { offsetInCU: 0xD1A8, offset: 0xD1A8, size: 0x8, addend: 0x0, symName: _callbackCompiledMethodLoad, symObjAddr: 0x9EC0, symBinAddr: 0x4410, symSize: 0x140 }
  - { offsetInCU: 0xD2A7, offset: 0xD2A7, size: 0x8, addend: 0x0, symName: _callbackCompiledMethodUnload, symObjAddr: 0xA000, symBinAddr: 0x4550, symSize: 0xF0 }
  - { offsetInCU: 0xD32C, offset: 0xD32C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP06_sp06t003ThreadRunningNative_testedMethod, symObjAddr: 0xA0F0, symBinAddr: 0x4640, symSize: 0x60 }
  - { offsetInCU: 0xD3C6, offset: 0xD3C6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP06_sp06t003ThreadRunningNative_checkReady, symObjAddr: 0xA150, symBinAddr: 0x46A0, symSize: 0x40 }
  - { offsetInCU: 0xD452, offset: 0xD452, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP06_sp06t003ThreadRunningNative_letFinish, symObjAddr: 0xA190, symBinAddr: 0x46E0, symSize: 0x10 }
  - { offsetInCU: 0xD5C4, offset: 0xD5C4, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1A0, symBinAddr: 0x46F0, symSize: 0xE50 }
  - { offsetInCU: 0xE340, offset: 0xE340, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKc, symObjAddr: 0xB410, symBinAddr: 0x5960, symSize: 0x54A }
  - { offsetInCU: 0xE7B1, offset: 0xE7B1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB0A0, symBinAddr: 0x55F0, symSize: 0x370 }
...
